use sp_core::parameter_types;
use sp_weights::{constants::WEIGHT_REF_TIME_PER_NANOS, Weight};

parameter_types! {
	pub const ExtrinsicBaseWeight: Weight =
		Weight::from_ref_time(WEIGHT_REF_TIME_PER_NANOS.saturating_mul(94_914));
}

#[cfg(test)]
mod test_weights {
    use frame_support::traits::Get;
	use sp_weights::constants;

	#[test]
	fn sane() {
		let w = super::ExtrinsicBaseWeight::get();

		assert!(
			w.ref_time() >= 70u64 * constants::WEIGHT_REF_TIME_PER_MICROS,
			"Weight should be at least 70 µs."
		);

		assert!(
			w.ref_time() <= 120u64 * constants::WEIGHT_REF_TIME_PER_MILLIS,
			"Weight should be at most 120 ms."
		);
	}
}
